View Issue Details

IDProjectCategoryView StatusLast Update
0000236Adventure PHP FrameworkBugpublic2015-10-12 12:19
ReporterCoach83Assigned ToChristianAchatz 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0000236: [Form] Checkbox - is Checked
DescriptionNach dem Absenden eines Formulars wird nicht korrekt ausgewertet, ob eine Checkbox aktiviert wurde oder nicht.

Details siehe http://forum.adventure-php-framework.org/viewtopic.php?f=6&t=5406.
Additional InformationLösungsmöglichkeit:

public function onParseTime() {

      $name = $this->getAttribute('name');
      /* @var $form HtmlFormTag */
         if (isset($_REQUEST[$name])) {
            $this->check();
         } else {
            // Bug 626: in case the control has been checked by the so-called attribute,
            // we must un-check the control to avoid permanent checked boxes
            $this->uncheck();
         }
     

      // preset the content of the field
      $this->presetValue();
}
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Relationships

related to 0000232 closedChristianAchatz AbstractFormControl::addValidator() should add validators to input fields only to allow form manipulation w/ controllers 

Activities

ChristianAchatz

2014-09-19 17:49

administrator   ~0000503

This is a general issue in 3.0 as tags are parsed according to their order/position within the template.

--> Check implementation for 3.0 (master) and add section to documentation to outline this explicitly.

ChristianAchatz

2014-10-08 09:10

administrator   ~0000513

ADDITIONALLY:
Analyze code structure on filter and validator addition plus possibility to re-order template tags using migration scripts to avoid issues when updating.

ChristianAchatz

2014-10-14 07:44

administrator   ~0000519

Implementation change done, restructuring still to be done.

ChristianAchatz

2015-01-28 20:35

administrator   ~0000541

Starting with migration script to avoid

[APF\tools\form\taglib\HtmlFormTag::getFormElementByName()] No form element with name "send" composed in current form "test" in document controller "DEV\wizard\controller\AllFormControlsController". Please double-check your taglib definitions within this form (especially attributes, that are used for referencing other form controls)!

ChristianAchatz

2015-01-31 19:29

administrator   ~0000542

Migration script done. Documentation update done.

Issue History

Date Modified Username Field Change
2014-09-19 08:09 Coach83 New Issue
2014-09-19 17:48 ChristianAchatz Product Version => 3.0
2014-09-19 17:48 ChristianAchatz Description Updated View Revisions
2014-09-19 17:48 ChristianAchatz Steps to Reproduce Updated View Revisions
2014-09-19 17:48 ChristianAchatz Additional Information Updated View Revisions
2014-09-19 17:49 ChristianAchatz Note Added: 0000503
2014-09-19 17:50 ChristianAchatz Assigned To => ChristianAchatz
2014-09-19 17:50 ChristianAchatz Status new => assigned
2014-10-08 09:10 ChristianAchatz Note Added: 0000513
2014-10-14 07:43 ChristianAchatz Relationship added related to 0000232
2014-10-14 07:44 ChristianAchatz Note Added: 0000519
2015-01-25 10:30 ChristianAchatz Target Version => 3.0
2015-01-28 20:35 ChristianAchatz Note Added: 0000541
2015-01-31 19:29 ChristianAchatz Note Added: 0000542
2015-01-31 19:29 ChristianAchatz Status assigned => resolved
2015-01-31 19:29 ChristianAchatz Fixed in Version => 3.0
2015-01-31 19:29 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed